import request from '/@/utils/request';
/**
 * @summary 获取所有区域
 */
export const GetAllPhmLogicArea = async (req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/GetAll@V1.0',
		method: 'get',
	});
};

/**
 * @summary 添加一个区域
 */
export const InsertAPhmLogicArea = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个区域
 */
export const UpdateAPhmLogicArea = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改区域排序码
 */
export const UpdatePhmLogicAreaSorter = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 更新区域使用状态
 */
export const UpdatePhmLogicAreaUseStatus = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/UpdateUseStatus@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 检查是否已存在编码
 */
export const GetIsExistPhmLogicAreaCode = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/IsExistCode@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 检查是否已存在标记
 */
export const GetIsExistPhmLogicAreaTagName = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/IsExistTagName@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 删除一个区域
 */
export const DeleteAPhmLogicArea = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Area/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};


/**
 * @summary 通过策略ID获取区域
 */
 export const GetPhmLogicAreaByPolicyID = async (params,req:any=request) => {
	return req({
		url: '/Phm/Logic/Area/GetByPolicyID@V1.0',
		method: 'GET',
		params: params,
	});
};

